;==============================================================================
;
; Copyfile.ini
;
; Copyright (C) 2008-2015 D-Link Corporation
; All Rights Reserved.
;
; Version 4.5.0 2015/08/05
;
;==============================================================================

;------------------------------------------------------------------------------
; Install Mode
;------------------------------------------------------------------------------
[INSTALL]
VERSION=7.6.1

[APPLIINFO]
APP_00=VIRTUAL
CHECK_00=1
ICON_00=\Bin\x86\SharePortPlus.exe

[FOLDER]
INSTALL=\D-Link\SharePort Plus
FOLDER_00=

;------------------------------------------------------------------------------
; SharePort Plus
;------------------------------------------------------------------------------
[VIRTUAL_INFO]
CLASSNAME_00=SHARE_PORT_UTILITY;SharePort Utility
CLASSNAME_01=SHAREPORT_PLUS;SharePort Plus
OS=XP:2K,XP,2003;VISTA:VISTA,2008;7:7,2008R2,8,2012,81,2012R2,10,SERVER;X64:XPX64,2003X64;VISTAX64:VISTAX64,2008X64;7X64:7X64,2008R2X64,8X64,2012X64,81X64,2012R2X64,10X64,SERVERX64
EXECFILE_00=\SharePortPlus.exe;-M
UAC=" "
CONNECT=HLM;Software\D-Link\SharePort Plus;AutoStart;OFF;OFF
REG_000=HLM;Software\D-Link\SharePort Plus
REG_001=HCU;Software\D-Link\SharePort Plus
REG_002=HCU;Software\D-Link\SharePort Plus\Svlscapi
REG_003=HCU;Software\D-Link\SharePort Plus\Option
REG_004=HCU;Software\D-Link\SharePort Plus\Svlscapi\Broadcast
REG_005=HCU;Software\D-Link\SharePort Plus\Svlscapi\Mode
REG_006=HCU;Software\D-Link\SharePort Plus\Svlscapi\Device
REG_007=HCU;Software\D-Link\SharePort Plus\Svlscapi\Device\*.*
REGEX_00=COMMON;HLM;Software\D-Link\SharePort Plus;StartupTimer;DWORD;15;NOT;PROTECT

[VIRTUAL_ICF]
MODE=INSTALL
;Windows XP
ADDFILE_000=\SharePortPlus.exe;SharePort Plus
ADDPORT_000=19540;UDP;SXUPTP
;Windows 7
ADDFILE2_000=\SharePortPlus.exe;SharePort Plus
ADDPORT2_000=19540;UDP;SXUPTP

[VIRTUAL_COMPONENT]
INIFILE=\Bin\Sxcsapi\Sxcsapi.ini
DRIVER_00=SXUPTP;Sxuptp Driver;INSTALL
UNINST_DRIVER_00=SXUPTP;Sxuptp Driver;UNINSTALL
;Service
SERVICE_00=HELPER;D-Link SharePort Helper;INSTALL
UNINST_SERVICE_00=HELPER;D-Link SharePort Helper;UNINSTALL

[VIRTUAL_COMMON]
;Uninstall
FILE_000=Couninst.ini;@LAN;\
FILE_001=Coflist.ini;\;\
FILE_002=Left.bmp;\Bin\Images;\
FILE_003=Top.bmp;\Bin\Images;\
FILE_004=Top_icon.bmp;\Bin\Images;\
;SharePort Plus
FILE_005=Svlmsg.ini;@LAN;\
;Sxuptp Driver
FILE_006=Sxcsapi.ini;\Bin\Sxcsapi;\
;Help
FILE_007=index.htm;@LAN\Help;\Help
FILE_008=*.*;@LAN\Help\Source;\Help\Source
FILE_009=*.*;@LAN\Help\Include;\Help\Include
FILE_010=*.*;@LAN\Help\Images;\Help\Images

[VIRTUAL_XP]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SharePort Plus
FILE_002=SharePortPlus.exe;\Bin\x86;\
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=*.*;\Bin\x86\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\WinXP;\WinXP
;D-Link SharePort Helper
FILE_006=Spnuhelper.exe;\Bin\Sxcsapi\HelperX86;\

[VIRTUAL_VISTA]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SharePort Plus
FILE_002=SharePortPlus.exe;\Bin\x86;\
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=*.*;\Bin\x86\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\WinVista;\WinVista
;D-Link SharePort Helper
FILE_006=Spnuhelper.exe;\Bin\Sxcsapi\HelperX86;\

[VIRTUAL_7]
;Uninstall
FILE_000=Couninst.exe;\Bin\x86;\
FILE_001=_Setup.dll;\;\
;SharePort Plus
FILE_002=SharePortPlus.exe;\Bin\x86;\
FILE_003=Svlscapi.dll;\Bin\x86;\
FILE_004=*.*;\Bin\x86\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win7;\Win7
;D-Link SharePort Helper
FILE_006=Spnuhelper.exe;\Bin\Sxcsapi\HelperX86;\

[VIRTUAL_X64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SharePort Plus
FILE_002=SharePortPlus.exe;\Bin\x64;\
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=*.*;\Bin\x64\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\WinXPX64;\WinXPX64
;D-Link SharePort Helper
FILE_006=Spnuhelper.exe;\Bin\Sxcsapi\HelperX64;\

[VIRTUAL_VISTAX64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SharePort Plus
FILE_002=SharePortPlus.exe;\Bin\x64;\
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=*.*;\Bin\x64\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\WinVistaX64;\WinVistaX64
;D-Link SharePort Helper
FILE_006=Spnuhelper.exe;\Bin\Sxcsapi\HelperX64;\

[VIRTUAL_7X64]
;Uninstall
FILE_000=Couninst.exe;\Bin\x64;\
FILE_001=_Setup64.dll;\;\
;SharePort Plus
FILE_002=SharePortPlus.exe;\Bin\x64;\
FILE_003=Svlscapi.dll;\Bin\x64;\
FILE_004=*.*;\Bin\x64\Themes;\Themes
;SXUPTP Driver
FILE_005=*.*;\Bin\Sxcsapi\Win7X64;\Win7X64
;D-Link SharePort Helper
FILE_006=Spnuhelper.exe;\Bin\Sxcsapi\HelperX64;\

[VIRTUAL_UNINSTLOG]
;Uninstall
UNINSTLOG=Coflist.ini
UNINSTMES=Couninst.ini
;Registry
REGISTKEY=SharePort Plus
DISPNAME=SharePort Plus
DISPVERSION=4.5.0 R1
DISPICON=SharePortPlus.exe,0
VERSION=4.5.0
UNINSTALLSTRING=Couninst.exe
MODE=REMOVE
MODIFYPATH=Couninst.exe
PUBLISHER=D-Link Corporation
